| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPageTable Class Referenceabstract

`#include <AAX_IACFPageTable.h>`

Inheritance diagram for AAX_IACFPageTable:
[legend]
Collaboration diagram for AAX_IACFPageTable:
[legend]

## Description

Versioned interface to the host's representation of a plug-in instance's page table.

## Public Member Functions
virtual AAX_Result | Clear ()=0
| Clears all parameter mappings from the table.
virtual AAX_Result | Empty (AAX_CBoolean &oEmpty) const =0
| Indicates whether the table is empty.
virtual AAX_Result | GetNumPages (int32_t &oNumPages) const =0
| Get the number of pages currently in this table.
virtual AAX_Result | InsertPage (int32_t iPage)=0
| Insert a new empty page before the page at index `iPage`.
virtual AAX_Result | RemovePage (int32_t iPage)=0
| Remove the page at index `iPage`.
virtual AAX_Result | GetNumMappedParameterIDs (int32_t iPage, int32_t &oNumParameterIdentifiers) const =0
| Returns the total number of parameter IDs which are mapped to a page.
virtual AAX_Result | ClearMappedParameter (int32_t iPage, int32_t iIndex)=0
| Clear the parameter at a particular index in this table.
virtual AAX_Result | GetMappedParameterID (int32_t iPage, int32_t iIndex, AAX_IString &oParameterIdentifier) const =0
| Get the parameter identifier which is currently mapped to an index in this table.
virtual AAX_Result | MapParameterID (AAX_CParamID iParameterIdentifier, int32_t iPage, int32_t iIndex)=0
| Map a parameter to this table.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ Clear()

virtual AAX_Result AAX_IACFPageTable::Clear | ( |  | ) |
| pure virtual

Clears all parameter mappings from the table.

This method does not clear any parameter name variations from the table. For that, use AAX_IPageTable::ClearParameterNameVariations() or AAX_IPageTable::ClearNameVariationsForParameter()

## ◆ Empty()

virtual AAX_Result AAX_IACFPageTable::Empty | ( | AAX_CBoolean & | oEmpty | ) | const
| pure virtual

Indicates whether the table is empty.

A table is empty if it contains no pages. A table which contains pages but no parameter assignments is not empty. A table which has associated parameter name variations but no pages is empty.

Parameters

  [out] | oEmpty | `true` if this table is empty

## ◆ GetNumPages()

virtual AAX_Result AAX_IACFPageTable::GetNumPages | ( | int32_t & | oNumPages | ) | const
| pure virtual

Get the number of pages currently in this table.

Parameters

  [out] | oNumPages | The number of pages which are present in the page table. Some pages might not contain any parameter assignments.

## ◆ InsertPage()

virtual AAX_Result AAX_IACFPageTable::InsertPage | ( | int32_t | iPage | ) |
| pure virtual

Insert a new empty page before the page at index `iPage`.

Returns
  AAX_ERROR_INVALID_ARGUMENT if `iPage` is greater than the total number of pages

Parameters

  [in] | iPage | The insertion point page index

## ◆ RemovePage()

virtual AAX_Result AAX_IACFPageTable::RemovePage | ( | int32_t | iPage | ) |
| pure virtual

Remove the page at index `iPage`.

Returns
  AAX_ERROR_INVALID_ARGUMENT if `iPage` is greater than the index of the last existing page

Parameters

  [in] | iPage | The target page index

## ◆ GetNumMappedParameterIDs()

virtual AAX_Result AAX_IACFPageTable::GetNumMappedParameterIDs | ( | int32_t | iPage,
|  | int32_t & | oNumParameterIdentifiers
| ) |  | const
| pure virtual

Returns the total number of parameter IDs which are mapped to a page.

Note
  The number of mapped parameter IDs does not correspond to the actual slot indices of the parameter assignments. For example, a page could have three total parameter assignments with parameters mapped to slots 2, 4, and 6.

Returns
  AAX_ERROR_INVALID_ARGUMENT if `iPage` is greater than the index of the last existing page

Parameters

  [in] | iPage | The target page index
  [out] | oNumParameterIdentifiers | The number of parameter identifiers which are mapped to the target page

## ◆ ClearMappedParameter()

virtual AAX_Result AAX_IACFPageTable::ClearMappedParameter | ( | int32_t | iPage,
|  | int32_t | iIndex
| ) |  |
| pure virtual

Clear the parameter at a particular index in this table.

Returns
  AAX_SUCCESS even if no parameter was mapped at the given index (the index is still clear)

Parameters

  [in] | iPage | The target page index
  [in] | iIndex | The target parameter slot index within the target page

## ◆ GetMappedParameterID()

virtual AAX_Result AAX_IACFPageTable::GetMappedParameterID | ( | int32_t | iPage,
|  | int32_t | iIndex,
|  | AAX_IString & | oParameterIdentifier
| ) |  | const
| pure virtual

Get the parameter identifier which is currently mapped to an index in this table.

Returns
  AAX_ERROR_INVALID_ARGUMENT if no parameter is mapped at the specified page/index location

Parameters

  [in] | iPage | The target page index
  [in] | iIndex | The target parameter slot index within the target page
  [out] | oParameterIdentifier | The identifier used for the mapped parameter in the page table (may be parameter name or ID)

## ◆ MapParameterID()

virtual AAX_Result AAX_IACFPageTable::MapParameterID | ( | AAX_CParamID | iParameterIdentifier,
|  | int32_t | iPage,
|  | int32_t | iIndex
| ) |  |
| pure virtual

Map a parameter to this table.

If `iParameterIdentifier` is an empty string then the parameter assignment will be cleared

Returns
  AAX_ERROR_NULL_ARGUMENT if `iParameterIdentifier` is null
  AAX_ERROR_INVALID_ARGUMENT if `iPage` is greater than the index of the last existing page
  AAX_ERROR_INVALID_ARGUMENT if `iIndex` is negative

Parameters

  [in] | iParameterIdentifier | The identifier for the parameter which will be mapped
  [in] | iPage | The target page index
  [in] | iIndex | The target parameter slot index within the target page

The documentation for this class was generated from the following file:

- AAX_IACFPageTable.h